OMGraphicConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Interface OMGraphicConstants

All Known Subinterfaces:
  OMGraphic, TemporalOMGraphic

All Known Implementing Classes:
  BasicGeometry, BasicLocation, ByteRasterLocation, ContainerGraphic, CustomGraphic, DTEDCoverageManager, ErrImageTile, EsriGraphicList, EsriIconPoint, EsriPoint, EsriPointList, EsriPolygon, EsriPolygonList, EsriPolygonM, EsriPolygonMList, EsriPolygonZ, EsriPolygonZList, EsriPolyline, EsriPolylineList, EsriPolylineM, EsriPolylineMList, EsriPolylineZ, EsriPolylineZList, EsriShapeExport, EsriTextPoint, FeatureCacheGraphicList, FeatureCacheGraphicList.AREA, FeatureCacheGraphicList.DEFAULT, FeatureCacheGraphicList.EDGE, FeatureCacheGraphicList.POINT, FeatureCacheGraphicList.TEXT, GLPoint, GrabPoint, GraphicAttributes, HorizontalGrabPoint, ImageTile, Intersection.Graphic, LabeledOMPoly, LabeledOMSpline, Line, Link, LinkOMGraphicList, Location, MIFPoint, MIFText, Node, OffsetGrabPoint, OMAbstractLine, OMAction, OMArc, OMAreaList, OMBitmap, OMCircle, OMColdSurfaceFront, OMDecoratedSpline, OMDistance, OMDTEDGrid, OMEllipse, OMGeo, OMGeo.Line, OMGeo.Polygon, OMGeo.Polyline, OMGeo.Pt, OMGeometryList, OMGraphicAdapter, OMGraphicHash, OMGraphicList, OMGrid, OMHotSurfaceFront, OMLine, OMList, OMOcclusion, OMPoint, OMPoint.Image, OMPoly, OMRangeRings, OMRaster, OMRasterObject, OMRect, OMScalingIcon, OMScalingRaster, OMShape, OMShape.PROJECTED, OMSpline, OMSubtraction, OMText, OMTextLabeler, OMWarpingImage, PathGLPoint, PolygonGeometry, PolygonGeometry.LL, PolygonGeometry.Offset, PolygonGeometry.XY, PolylineGeometry, PolylineGeometry.LL, PolylineGeometry.Offset, PolylineGeometry.XY, RoadFinder.BlueLine, RoadFinder.RedPoint, RoadFinder.YellowLine, RoadFinder.YellowPoint, RoadLine.Graphic, RoadPoint.Graphic, RpfCoverage, RpfCoverage.RpfCoverageControl, SinkGraphic, TemporalOMGraphicList, TemporalOMPoint, TemporalOMScalingIcon, TimelineLayer.CurrentTimeMarker, TimelineLayer.EventMarkerLine, TimelineLayer.PlayFilter, TimelineLayer.SelectionArea, TimelineLayer.SelectionArea.PlayFilterSection, TimelineLayer.SelectionArea.PostTime, TimelineLayer.SelectionArea.PreTime, TimelineLayer.SelectionArea.RatingArea, TimelineLayer.TimeHashMarks, TimelineLayer.TimeHashMarks.Days, TimelineLayer.TimeHashMarks.Hours, TimelineLayer.TimeHashMarks.Minutes, TimelineLayer.TimeHashMarks.Seconds, TimelineLayer.TimeHashMarks.Years, TimeSliderLayer.TimeDrape, TX7, URLRasterLocation, VerticalGrabPoint, Waypoint.Graphic

    public interface OMGraphicConstants

An interface that contains all the constants associated with OMGraphics.

Field Summary
`static int` | `ADD_GRAPHIC_MASK` Graphic action descriptor mask - add a graphic.
`static java.lang.String` | `APP_OBJECT` Handy attribute key for app object, to speed up updating code that used the old app object in OMGraphics instead of using the attributes map.
`static java.awt.Stroke` | `BASIC_STROKE` A Basic Stroke.
`static java.lang.String` | `CHANGE_APPEARANCE` A string that can be used for a keyword into the OMGraphic attribute hashtable.
`static java.awt.Color` | `clear` A transparent color.
`static int` | `DECIMAL_DEGREES` The float coordinates are in decimal degrees.
`static int` | `DECLUTTERTYPE_LINE` The graphic should be moved if it is going to share window space with another graphic, and a line should be drawn from the new position to the original position.
`static int` | `DECLUTTERTYPE_MOVE` The graphic should be moved if it is going to share window space with another graphic.
`static int` | `DECLUTTERTYPE_NONE` The graphic should not be moved or be considered in the placement of other graphics.
`static int` | `DECLUTTERTYPE_SPACE` The graphic should not be moved, but its position should be considered when placing other graphics.
`static double` | `DEFAULT_ROTATIONANGLE` The default rotation andle to use for java.awt.Graphics2D objects.
`static int` | `DELETE_GRAPHIC_MASK` Graphic action descriptor mask - delete the graphic.
`static int` | `DESELECT_GRAPHIC_MASK` Graphic action descriptor mask - deselect the graphic.
`static int` | `DESELECTALL_GRAPHIC_MASK` Graphic action descriptor mask - deselect all graphics.
`static int` | `GRAPHICTYPE_ARC` An arc type - OMArc.
`static int` | `GRAPHICTYPE_BITMAP` A bitmap type - OMBitmap.
`static int` | `GRAPHICTYPE_CIRCLE` A ellipse/circle type - OMCircle.
`static int` | `GRAPHICTYPE_ELLIPSE` A ellipse type - OMEllipse.
`static int` | `GRAPHICTYPE_GRAPHIC` The generic graphic type.
`static int` | `GRAPHICTYPE_GRID` A grid type - OMGrid.
`static int` | `GRAPHICTYPE_LINE` A line type - OMLine.
`static int` | `GRAPHICTYPE_POINT` A point type - OMPoint
`static int` | `GRAPHICTYPE_POLY` A polygon/polyline type - OMPoly.
`static int` | `GRAPHICTYPE_RASTER` A raster type - OMRaster.
`static int` | `GRAPHICTYPE_RECTANGLE` A rectangle type - OMRect.
`static int` | `GRAPHICTYPE_TEXT` A text type - OMText.
`static java.lang.String` | `INDEX` Generic attribute key for index attributes.
`static java.lang.String` | `INFOLINE` A string that can be used for a keyword into the OMGraphic attribute hashtable to designate something that would be displayed on the InformationDelegator's information line for an OMGraphic.
`static java.lang.String` | `LABEL` A string that can be used for a keyword into the OMGraphic attribute hashtable to designate something that would be displayed as a label for an OMGraphic.
`static int` | `LINETYPE_GREATCIRCLE` Line will be drawn on the shortest geographical path between two locations.
`static int` | `LINETYPE_RHUMB` Line will be drawn on a constant bearing between two points.
`static int` | `LINETYPE_STRAIGHT` Line will be drawn straight between window points.
`static int` | `LINETYPE_UNKNOWN` Line type is unknown.
`static int` | `LOWER_GRAPHIC_MASK` Graphic action descriptor mask - lower down relative to other graphics by one.
`static int` | `LOWER_TO_BOTTOM_GRAPHIC_MASK` Graphic action descriptor mask - lower graphics below others.
`static java.lang.String` | `NO_ROTATE` An attribute that can be set on OMGraphics that can be rotated, so that they are not rotated when the map is.
`static java.lang.String` | `OMGRAPHIC_ELT`
`static java.lang.String` | `OMGRAPHIC_TYPE_ATTR`
`static int` | `RADIANS` The float coordinates are in radians.
`static int` | `RAISE_GRAPHIC_MASK` Graphic action descriptor mask - raise the graphic relative to others by one.
`static int` | `RAISE_TO_TOP_GRAPHIC_MASK` Graphic action descriptor mask - raise the graphic on top of others.
`static java.lang.String` | `REMOVABLE` A string that can be used for a keyword into the OMGraphic attribute hashtable.
`static int` | `RENDERTYPE_LATLON` The graphic should be projected relative to its lat/lon position.
`static int` | `RENDERTYPE_OFFSET` The graphic should be projected in window space relative to a lat/lon position.
`static int` | `RENDERTYPE_UNKNOWN` Render type is unknown.
`static int` | `RENDERTYPE_XY` The graphic should be projected relative to its window position.
`static int` | `SELECT_GRAPHIC_MASK` Graphic action descriptor mask - select the graphic.
`static int` | `SORT_GRAPHICS_MASK` Graphic action descriptor mask - sort the graphics.
`static java.lang.String` | `TOOLTIP` A string that can be used for a keyword into the OMGraphic attribute hashtable to designate a tooltip for an OMGraphic.
`static int` | `UPDATE_GRAPHIC_MASK` Graphic action descriptor mask - update the graphic.
`static java.lang.String` | `UPDATED` A string that can be used in the attributes to make a note that the OMGraphic has changed, and its state should be updated somewhere.

Field Detail

### LINETYPE_UNKNOWN

    static final int LINETYPE_UNKNOWN

  Line type is unknown.

  See Also:
    Constant Field Values

### LINETYPE_STRAIGHT

    static final int LINETYPE_STRAIGHT

  Line will be drawn straight between window points.

  See Also:
    Constant Field Values

### LINETYPE_RHUMB

    static final int LINETYPE_RHUMB

  Line will be drawn on a constant bearing between two points.

  See Also:
    Constant Field Values

### LINETYPE_GREATCIRCLE

    static final int LINETYPE_GREATCIRCLE

  Line will be drawn on the shortest geographical path between two locations.

  See Also:
    Constant Field Values

### RENDERTYPE_UNKNOWN

    static final int RENDERTYPE_UNKNOWN

  Render type is unknown.

  See Also:
    Constant Field Values

### RENDERTYPE_LATLON

    static final int RENDERTYPE_LATLON

  The graphic should be projected relative to its lat/lon position.

  See Also:
    Constant Field Values

### RENDERTYPE_XY

    static final int RENDERTYPE_XY

  The graphic should be projected relative to its window position.

  See Also:
    Constant Field Values

### RENDERTYPE_OFFSET

    static final int RENDERTYPE_OFFSET

  The graphic should be projected in window space relative to a lat/lon position.

  See Also:
    Constant Field Values

### DECLUTTERTYPE_NONE

    static final int DECLUTTERTYPE_NONE

  The graphic should not be moved or be considered in the placement of other graphics.

  See Also:
    Constant Field Values

### DECLUTTERTYPE_SPACE

    static final int DECLUTTERTYPE_SPACE

  The graphic should not be moved, but its position should be considered when placing other graphics.

  See Also:
    Constant Field Values

### DECLUTTERTYPE_MOVE

    static final int DECLUTTERTYPE_MOVE

  The graphic should be moved if it is going to share window space with another graphic.

  See Also:
    Constant Field Values

### DECLUTTERTYPE_LINE

    static final int DECLUTTERTYPE_LINE

  The graphic should be moved if it is going to share window space with another graphic, and a line should be drawn from the new position to the original position.

  See Also:
    Constant Field Values

### GRAPHICTYPE_GRAPHIC

    static final int GRAPHICTYPE_GRAPHIC

  The generic graphic type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_BITMAP

    static final int GRAPHICTYPE_BITMAP

  A bitmap type - OMBitmap.

  See Also:
    Constant Field Values

### GRAPHICTYPE_TEXT

    static final int GRAPHICTYPE_TEXT

  A text type - OMText.

  See Also:
    Constant Field Values

### GRAPHICTYPE_POLY

    static final int GRAPHICTYPE_POLY

  A polygon/polyline type - OMPoly.

  See Also:
    Constant Field Values

### GRAPHICTYPE_LINE

    static final int GRAPHICTYPE_LINE

  A line type - OMLine.

  See Also:
    Constant Field Values

### GRAPHICTYPE_RECTANGLE

    static final int GRAPHICTYPE_RECTANGLE

  A rectangle type - OMRect.

  See Also:
    Constant Field Values

### GRAPHICTYPE_CIRCLE

    static final int GRAPHICTYPE_CIRCLE

  A ellipse/circle type - OMCircle.

  See Also:
    Constant Field Values

### GRAPHICTYPE_RASTER

    static final int GRAPHICTYPE_RASTER

  A raster type - OMRaster.

  See Also:
    Constant Field Values

### GRAPHICTYPE_GRID

    static final int GRAPHICTYPE_GRID

  A grid type - OMGrid.

  See Also:
    Constant Field Values

### GRAPHICTYPE_POINT

    static final int GRAPHICTYPE_POINT

  A point type - OMPoint

  See Also:
    Constant Field Values

### GRAPHICTYPE_ARC

    static final int GRAPHICTYPE_ARC

  An arc type - OMArc.

  See Also:
    Constant Field Values

### GRAPHICTYPE_ELLIPSE

    static final int GRAPHICTYPE_ELLIPSE

  A ellipse type - OMEllipse.

  See Also:
    Constant Field Values

### DECIMAL_DEGREES

    static final int DECIMAL_DEGREES

  The float coordinates are in decimal degrees. Should not be used - switching over to com.bbn.openmap.proj.Length.

  See Also:
    Constant Field Values

### RADIANS

    static final int RADIANS

  The float coordinates are in radians. Should not be used - switching over to com.bbn.openmap.proj.Length.

  See Also:
    Constant Field Values

### clear

    static final java.awt.Color clear

  A transparent color.

### BASIC_STROKE

    static final java.awt.Stroke BASIC_STROKE

  A Basic Stroke.

### DEFAULT_ROTATIONANGLE

    static final double DEFAULT_ROTATIONANGLE

  The default rotation andle to use for java.awt.Graphics2D objects.

  See Also:
    Constant Field Values

### RAISE_TO_TOP_GRAPHIC_MASK

    static final int RAISE_TO_TOP_GRAPHIC_MASK

  Graphic action descriptor mask - raise the graphic on top of others.

  See Also:
    Constant Field Values

### LOWER_TO_BOTTOM_GRAPHIC_MASK

    static final int LOWER_TO_BOTTOM_GRAPHIC_MASK

  Graphic action descriptor mask - lower graphics below others.

  See Also:
    Constant Field Values

### DELETE_GRAPHIC_MASK

    static final int DELETE_GRAPHIC_MASK

  Graphic action descriptor mask - delete the graphic.

  See Also:
    Constant Field Values

### SELECT_GRAPHIC_MASK

    static final int SELECT_GRAPHIC_MASK

  Graphic action descriptor mask - select the graphic.

  See Also:
    Constant Field Values

### DESELECT_GRAPHIC_MASK

    static final int DESELECT_GRAPHIC_MASK

  Graphic action descriptor mask - deselect the graphic.

  See Also:
    Constant Field Values

### DESELECTALL_GRAPHIC_MASK

    static final int DESELECTALL_GRAPHIC_MASK

  Graphic action descriptor mask - deselect all graphics.

  See Also:
    Constant Field Values

### ADD_GRAPHIC_MASK

    static final int ADD_GRAPHIC_MASK

  Graphic action descriptor mask - add a graphic.

  See Also:
    Constant Field Values

### UPDATE_GRAPHIC_MASK

    static final int UPDATE_GRAPHIC_MASK

  Graphic action descriptor mask - update the graphic. Really for client/server notification to update.

  See Also:
    Constant Field Values

### RAISE_GRAPHIC_MASK

    static final int RAISE_GRAPHIC_MASK

  Graphic action descriptor mask - raise the graphic relative to others by one.

  See Also:
    Constant Field Values

### LOWER_GRAPHIC_MASK

    static final int LOWER_GRAPHIC_MASK

  Graphic action descriptor mask - lower down relative to other graphics by one.

  See Also:
    Constant Field Values

### SORT_GRAPHICS_MASK

    static final int SORT_GRAPHICS_MASK

  Graphic action descriptor mask - sort the graphics. The sorting criteria depends on local criteria as implemented in the object doing the sorting.

  See Also:
    Constant Field Values

### TOOLTIP

    static final java.lang.String TOOLTIP

  A string that can be used for a keyword into the OMGraphic attribute hashtable to designate a tooltip for an OMGraphic. The layer would then look for a value for this keyword to display as a tooltip for an OMGraphic.

  See Also:
    Constant Field Values

### INFOLINE

    static final java.lang.String INFOLINE

  A string that can be used for a keyword into the OMGraphic attribute hashtable to designate something that would be displayed on the InformationDelegator's information line for an OMGraphic. The layer would then look for a value for this keyword to display in the information line for an OMGraphic.

  See Also:
    Constant Field Values

### LABEL

    static final java.lang.String LABEL

  A string that can be used for a keyword into the OMGraphic attribute hashtable to designate something that would be displayed as a label for an OMGraphic.

  See Also:
    Constant Field Values

### REMOVABLE

    static final java.lang.String REMOVABLE

  A string that can be used for a keyword into the OMGraphic attribute hashtable. If the value exists and is false it means graphic can't be removed (there won't be menu item "delete")

  See Also:
    Constant Field Values

### CHANGE_APPEARANCE

    static final java.lang.String CHANGE_APPEARANCE

  A string that can be used for a keyword into the OMGraphic attribute hashtable. If the value exists and is false it means graphic change appearance can't be changed (there won't be menu item "Change appearance")

  See Also:
    Constant Field Values

### UPDATED

    static final java.lang.String UPDATED

  A string that can be used in the attributes to make a note that the OMGraphic has changed, and its state should be updated somewhere.

  See Also:
    Constant Field Values

### OMGRAPHIC_ELT

    static final java.lang.String OMGRAPHIC_ELT

See Also:
  Constant Field Values

### OMGRAPHIC_TYPE_ATTR

    static final java.lang.String OMGRAPHIC_TYPE_ATTR

See Also:
  Constant Field Values

### NO_ROTATE

    static final java.lang.String NO_ROTATE

  An attribute that can be set on OMGraphics that can be rotated, so that they are not rotated when the map is.

  See Also:
    Constant Field Values

### INDEX

    static final java.lang.String INDEX

  Generic attribute key for index attributes.

  See Also:
    Constant Field Values

### APP_OBJECT

    static final java.lang.String APP_OBJECT

  Handy attribute key for app object, to speed up updating code that used the old app object in OMGraphics instead of using the attributes map.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details